Jump to content


Photo

[BETA] Android 4.0 RK2918 leak

- - - - -

  • Please log in to reply
6 replies to this topic

#1
Csharpe

Csharpe

    Regular

  • Members
  • PipPip
  • 68 posts
  • Devices:HTC Desire, AndyPad
Hey guys,

ICS development for AndyPad and other RockChip 2918 devices can finally start, since there's been a beta build for 4.0.3 with hardware support.
This ROM's made for a Chinese tablet which I forgot the name of, but has all drivers & libs to support HW acceleration, HDMI output etc etc.

Newest release:
Released for T760, Android 4.0.3

Download: http://www.mediafire...gvsvj1w8ng3n3no


Older releases:
Download:
http://220.168.57.22...4.0tiyanban.rar

Faster (dutch) mirror:
http://www.filesonic...file/4293041285


I'll investigate further & keep you guys updated. Sadly enough, I don't have the right resources on my computer to make an ICS build (rumor says it needs +16GB ram)

WARNING: do not flash this on your device, it's only for the drivers.
Happy porting!

Edited by Csharpe, 25 January 2012 - 06:26 PM.

  • 0

Posted Image



#2
Tichy

Tichy

    Newbie

  • Members
  • Pip
  • 32 posts
  • Gender:Male
  • Location:Romford, Essex, England
  • Devices:Andypad Pro
  • Twitter:@1275ce
woohoo. This is good news for the AndyPad community. I'm keeping my fingers crossed for this to pick up momemtum.

  • 0

#3
tumby

tumby

    Newbie

  • Members
  • Pip
  • 21 posts
  • Gender:Male

woohoo. This is good news for the AndyPad community. I'm keeping my fingers crossed for this to pick up momemtum.


It's very early days but I have both aosp 4.0.3 and cm9 builds running on the AndyPad Pro using the libs from this rom. To say they are buggy is an understatement but they boot up and display something at least. They need a newer kernel (or at least a different .config than any of the ones I have built from source) which means I have to use the one from the t760 with all the problems that brings (inverted x axis on the touchscreen at least). Also audio doesnt seem to want to work. I guess at some point i'll have to start trying to figure out what all the errors in the logcat are.

There is a video linked on my github if you are that way inclined.


  • 0

#4
Sami Beck

Sami Beck

    Diehard

  • Developer Team
  • PipPipPipPip
  • 338 posts
  • Gender:Male
  • Devices:ZTE Blade, XOOM, Andypad Pro
  • Twitter:@SamSamoon
I have a 6 Core with 16GB RAM so I can build if you mirror me the files via github etc?

  • 0
Posted Image


Perfect Condition Unlocked GEN 2 Blade: £75

http://android.modac...ocked-for-sale/

#5
tumby

tumby

    Newbie

  • Members
  • Pip
  • 21 posts
  • Gender:Male

I'll investigate further & keep you guys updated. Sadly enough, I don't have the right resources on my computer to make an ICS build (rumor says it needs +16GB ram)


YMMV, but I build cm9 last night on a vm I accedently only had 1 cpu core and 1gb of ram assigned to. It built fine (it did take a few hours though)


I have a 6 Core with 16GB RAM so I can build if you mirror me the files via github etc?


Cm9 build files for the andypad pro have been in github for a week, although with these libs it actually does something (not much).
Having said that, I wouldn't recommend even trying it at the moment unless you are willing to put the time in to try fix the problems as it basically makes the andypad less usable than even the stock rom, which is quite a feat. Which is the opposite of the CM7 build, which actually makes it almost fun to use.

  • 0

#6
Astralix

Astralix

    Newbie

  • Members
  • Pip
  • 4 posts
  • Devices:HTC DesireHD, Odys Loox
Hi!

I am actually trying to 'recover' original 2.6.32.27 kernel from the leaked sources for Odys and (with Csharps help) for Andypad.
If that is finished, what minimum kernel is needed for ICS4? I saw that ICS4 images for RK29 where released with 3.0.8+ but some rumors say that 2.6.38 might be enough.

Somone any facts?

Regards
Astralix

  • 0

#7
Csharpe

Csharpe

    Regular

  • Members
  • PipPip
  • 68 posts
  • Devices:HTC Desire, AndyPad

Hi!

I am actually trying to 'recover' original 2.6.32.27 kernel from the leaked sources for Odys and (with Csharps help) for Andypad.
If that is finished, what minimum kernel is needed for ICS4? I saw that ICS4 images for RK29 where released with 3.0.8+ but some rumors say that 2.6.38 might be enough.

Somone any facts?

Regards
Astralix


2.6.38 will indeed be enough, from what I've seen with phones (I think some ICS ports for phones even ran on .37, but can't really confirm that). Also, this release is quite old, the newer ICS builds for RK2918 can be found @ Teclast beta roms. I'm uploading it now in case anyone's interested (200MB).

In the early ICS days, they even were able to run beta on .35 kernel from Thalamus, on Desire.

EDIT: uploaded 4.0.3 for RK29, has newer gpu blobs etc. Sorry for 7z format, but .zip was too big to upload.
http://www.mediafire...gvsvj1w8ng3n3no

Edited by Csharpe, 25 January 2012 - 06:28 PM.

  • 0

Posted Image






0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users